collcoll.h File Reference

Header file that defines CollectionCollection. More...

`#include "zipios++/zipios-config.h"`
`#include <string>`
`#include <vector>`
`#include "zipios++/fcoll.h"`
Include dependency graph for collcoll.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes

class | zipios::CollectionCollection
| CollectionCollection is a FileCollection that consists of an arbitrary number of FileCollections. More...

## Typedefs

typedef CollectionCollection | zipios::CColl
| Shortcut name for a CollectionCollection.

## Detailed Description

Header file that defines CollectionCollection.

Definition in file collcoll.h.

## Typedef Documentation

## CColl

typedef CollectionCollection zipios::CColl

Shortcut name for a CollectionCollection.

If the static method inst is used, it is often used a lot, so it's handy with a short name for CollectionCollection

Definition at line 104 of file collcoll.h.